CMSAlgorithm (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class CMSAlgorithm

- java.lang.Object
- - org.bouncycastle.cms.CMSAlgorithm

-     public class CMSAlgorithm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES128_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES128_CCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES128_GCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES128_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES192_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES192_CCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES192_GCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES192_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES256_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES256_CCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES256_GCM`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `AES256_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA128_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA128_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA192_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA192_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA256_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAMELLIA256_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `CAST5_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `DES_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `DES_EDE3_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `DES_EDE3_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `ECDH_SHA1KDF`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `ECMQV_SHA1KDF`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `GOST3411`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `IDEA_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `MD5`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RC2_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD128`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD160`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `RIPEMD256`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SEED_CBC`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SEED_WRAP`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA1`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA224`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA256`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA384`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `SHA512`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSAlgorithm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DES_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier DES_CBC

    - #### DES_EDE3_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier DES_EDE3_CBC

    - #### RC2_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier RC2_CBC

    - #### IDEA_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier IDEA_CBC

    - #### CAST5_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAST5_CBC

    - #### AES128_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES128_CBC

    - #### AES192_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES192_CBC

    - #### AES256_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES256_CBC

    - #### AES128_CCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES128_CCM

    - #### AES192_CCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES192_CCM

    - #### AES256_CCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES256_CCM

    - #### AES128_GCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES128_GCM

    - #### AES192_GCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES192_GCM

    - #### AES256_GCM

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES256_GCM

    - #### CAMELLIA128_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA128_CBC

    - #### CAMELLIA192_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA192_CBC

    - #### CAMELLIA256_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA256_CBC

    - #### SEED_CBC

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SEED_CBC

    - #### DES_EDE3_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier DES_EDE3_WRAP

    - #### AES128_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES128_WRAP

    - #### AES192_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES192_WRAP

    - #### AES256_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier AES256_WRAP

    - #### CAMELLIA128_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA128_WRAP

    - #### CAMELLIA192_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA192_WRAP

    - #### CAMELLIA256_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier CAMELLIA256_WRAP

    - #### SEED_WRAP

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SEED_WRAP

    - #### ECDH_SHA1KDF

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ECDH_SHA1KDF

    - #### ECMQV_SHA1KDF

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ECMQV_SHA1KDF

    - #### SHA1

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA1

    - #### SHA224

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA224

    - #### SHA256

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA256

    - #### SHA384

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA384

    - #### SHA512

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier SHA512

    - #### MD5

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier MD5

    - #### GOST3411

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier GOST3411

    - #### RIPEMD128

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD128

    - #### RIPEMD160

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD160

    - #### RIPEMD256

          public static final org.bouncycastle.asn1.ASN1ObjectIdentifier RIPEMD256

  - ### Constructor Detail

    - #### CMSAlgorithm

          public CMSAlgorithm()